package com.zxbw.modulemain.activity

import android.view.View
import androidx.recyclerview.widget.GridLayoutManager
import androidx.recyclerview.widget.LinearLayoutManager
import com.zxbw.modulemain.R
import com.zxbw.modulemain.adapter.RedEnvelopeListAdapter
import com.zxbw.modulemain.adapter.RedEnvelopeTopListAdapter
import com.zxhl.cms.common.base.BaseActivity
import com.zxhl.cms.utils.OnRecycleItemClickListener
import kotlinx.android.synthetic.main.activity_layout_grab_red_envelope.*

/**
 * @author (wangXuewei)
 * @datetime 2022-06-28 15:01 GMT+8
 * @detail :
 */
class GrabRedEnvelopeActivity : BaseActivity(),OnRecycleItemClickListener<Any> {

    private var mRedEnvelopeAdapter: RedEnvelopeListAdapter? = null
    private var mRedEnvelopeTopAdapter: RedEnvelopeTopListAdapter? = null

    override fun layoutID(): Int = R.layout.activity_layout_grab_red_envelope

    override fun onClick(v: View?) {

    }

    override fun init() {
        mRedEnvelopeAdapter = RedEnvelopeListAdapter(this,this)
        id_rcl_red_envelope_list.layoutManager = GridLayoutManager(this, 4)
        id_rcl_red_envelope_list.adapter = mRedEnvelopeAdapter

        mRedEnvelopeTopAdapter = RedEnvelopeTopListAdapter(this)
        id_rcl_today_top_list.layoutManager = LinearLayoutManager(this)
        id_rcl_today_top_list.adapter = mRedEnvelopeTopAdapter

    }

    override fun onItemClick(view: View?, position: Int, data: Any?) {

    }
}